
Ruby - Bug #3796

make check fails on powerpc64 linux

09/07/2010 05:48 AM - meyering (Jim Meyering)

Status: Closed   

Priority: Normal   

Assignee: shyouhei (Shyouhei Urabe)   

Target version:    

ruby -v: ruby 1.9.3dev (2010-09-06 trunk 29191)

[powerpc64-linux]

Backport:  

Description

=begin

I cloned from git://github.com/ruby/ruby.git, then ran this as root:

 autoreconf; ./configure && make && make check

 Here's the tail of "make check" output:

Loaded suite ./test/runner

Started

...................................................................................................................................................F..../root/Meyering/ruby/.ext/common/dl/f

unc.rb:59: [BUG] Segmentation fault

ruby 1.9.3dev (2010-09-06 trunk 29191) [powerpc64-linux]

-- control frame ----------

c:0016 p:---- s:0071 b:0071 l:000070 d:000070 CFUNC  :call

c:0015 p:0117 s:0067 b:0067 l:000066 d:000066 METHOD

/root/Meyering/ruby/.ext/common/dl/func.rb:59

c:0014 p:0075 s:0059 b:0059 l:000058 d:000058 METHOD

/root/Meyering/ruby/test/dl/test_func.rb:64

c:0013 p:0063 s:0052 b:0052 l:000051 d:000051 METHOD

/root/Meyering/ruby/lib/minitest/unit.rb:711

c:0012 p:0091 s:0046 b:0046 l:000027 d:000045 BLOCK 

/root/Meyering/ruby/lib/minitest/unit.rb:672

c:0011 p:---- s:0041 b:0041 l:000040 d:000040 FINISH

c:0010 p:---- s:0039 b:0039 l:000038 d:000038 CFUNC  :each

c:0009 p:0026 s:0036 b:0036 l:000027 d:000035 BLOCK 

/root/Meyering/ruby/lib/minitest/unit.rb:666

c:0008 p:---- s:0033 b:0033 l:000032 d:000032 FINISH

c:0007 p:---- s:0031 b:0031 l:000030 d:000030 CFUNC  :each

c:0006 p:0082 s:0028 b:0028 l:000027 d:000027 METHOD

/root/Meyering/ruby/lib/minitest/unit.rb:665

c:0005 p:0286 s:0023 b:0023 l:000022 d:000022 METHOD

/root/Meyering/ruby/lib/minitest/unit.rb:629

c:0004 p:0022 s:0014 b:0014 l:000013 d:000013 METHOD

/root/Meyering/ruby/lib/test/unit.rb:21

c:0003 p:0136 s:0010 b:0009 l:001628 d:002540 EVAL   ./test/runner.rb:26

c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH

c:0001 p:0000 s:0002 b:0002 l:001628 d:001628 TOP

-- Ruby level backtrace information ----------------------------------------
./test/runner.rb:26:in <main>' /root/Meyering/ruby/lib/test/unit.rb:21:in run'

/root/Meyering/ruby/lib/minitest/unit.rb:629:in run' /root/Meyering/ruby/lib/minitest/unit.rb:665:in run_test_suites'

/root/Meyering/ruby/lib/minitest/unit.rb:665:in each' /root/Meyering/ruby/lib/minitest/unit.rb:666:in block in run_test_suites'

/root/Meyering/ruby/lib/minitest/unit.rb:666:in each' /root/Meyering/ruby/lib/minitest/unit.rb:672:in block (2 levels) in run_test_suites'

/root/Meyering/ruby/lib/minitest/unit.rb:711:in run' /root/Meyering/ruby/test/dl/test_func.rb:64:in test_isdigit'

/root/Meyering/ruby/.ext/common/dl/func.rb:59:in call' /root/Meyering/ruby/.ext/common/dl/func.rb:59:in call'

-- C level backtrace information -------------------------------------------

./ruby() [0x101536b8]

./ruby() [0x101a4e74]

./ruby(rb_bug-0x8995c) [0x101a4fac]

./ruby() [0x100d0ce8]

[0xfff81800418]

/root/Meyering/ruby/.ext/powerpc64-linux/dl.so(+0x66bc) [0xfff814266bc]

./ruby() [0x1013a990]

./ruby() [0x10141e5c]

./ruby() [0x101444d0]

./ruby() [0x10147e64]

./ruby(rb_yield-0xd9a58) [0x10151500]

./ruby(rb_ary_each-0xc4b64) [0x101679b4]

./ruby() [0x1013a9ec]

./ruby() [0x10141e5c]

./ruby() [0x101444d0]

./ruby() [0x10147e64]

./ruby(rb_yield-0xd9a58) [0x10151500]

./ruby(rb_ary_each-0xc4b64) [0x101679b4]

./ruby() [0x1013a9ec]

./ruby() [0x10141e5c]

./ruby() [0x101444d0]

./ruby() [0x10147e64]

./ruby(rb_iseq_eval_main-0xe2870) [0x10148288]

./ruby() [0x100155d8]

./ruby(ruby_run_node-0x209c70) [0x100178d8]

./ruby() [0x1001438c]

/lib64/libc.so.6() [0x80afefbc78]

/lib64/libc.so.6(__libc_start_main-0x184e60) [0x80afefbe70]

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

make: *** [yes-test-all] Aborted

=end

History

#1 - 09/09/2010 09:20 AM - naruse (Yui NARUSE)

- Priority changed from Normal to 3

=begin

=end

#2 - 09/14/2010 05:26 PM - shyouhei (Shyouhei Urabe)

=begin

Seems no one has a power64 environment to check this?

=end

#3 - 06/26/2011 03:18 PM - naruse (Yui NARUSE)

- Status changed from Open to Feedback

Contribution is welcomed.

#4 - 06/07/2012 03:38 PM - vo.x (Vit Ondruch)
Hi,

This issue is related to https://bugzilla.redhat.com/show_bug.cgi?id=628715 and there is attached patch which fixes this issue. Could you please

review?

#5 - 06/07/2012 04:51 PM - naruse (Yui NARUSE)

vo.x (Vit Ondruch) wrote:

This issue is related to https://bugzilla.redhat.com/show_bug.cgi?id=628715 and there is attached patch which fixes this issue. Could you please

review?

 The patch is too old and can't be merged.

Could you review yourself before ask us?

#6 - 06/07/2012 05:18 PM - shyouhei (Shyouhei Urabe)

OK, this one applies cleanly to 1.8.7 branch, but not for trunk.

Should we move this issue to 1.8.7?  Or is it still to be fixed on trunk?

#7 - 06/07/2012 05:54 PM - vo.x (Vit Ondruch)

This is not an issue for 1.9.3 as far as I know, so I would expect that trunk works as well.

#8 - 06/07/2012 07:31 PM - shyouhei (Shyouhei Urabe)

- Assignee set to nobu (Nobuyoshi Nakada)

I would also like to ask nobu to see if it is OK to call just_before_setjmp after calling getcontext(), which doesn't make sense to me.

#9 - 06/08/2012 12:03 AM - nobu (Nobuyoshi Nakada)

I can't access https://brewweb.devel.redhat.com

#10 - 06/08/2012 04:02 PM - shyouhei (Shyouhei Urabe)

nobu (Nobuyoshi Nakada) wrote:

I can't access https://brewweb.devel.redhat.com

 I was looking at the patch attached to the bugzilla.

#11 - 06/08/2012 05:46 PM - nobu (Nobuyoshi Nakada)

- Status changed from Feedback to Assigned

- Assignee changed from nobu (Nobuyoshi Nakada) to shyouhei (Shyouhei Urabe)

=begin

That reminds me.

Is this duplication of ((<[Bug#4411]|URL:https://bugs.ruby-lang.org/issues/4411>))?

Then backport r32542.

=end

#12 - 06/08/2012 08:39 PM - vo.x (Vit Ondruch)

Nobu, you are right, they are referring to the same RH bugzilla. So the r32542 should be the backported. Thank you.

#13 - 07/14/2012 06:50 PM - shyouhei (Shyouhei Urabe)

- Status changed from Assigned to Closed

I believe this is done.
